### Method

# Vips Image bandjoin2

#### Declaration [src]

    int
    vips_bandjoin2 (
      VipsImage* in1,
      VipsImage* in2,
      VipsImage** out,
      ...
    )

#### Description [src]

Join a pair of images together, bandwise. See `vips_bandjoin()`.

This method is not directly available to language bindings.

#### Parameters

`in2`

  Type: `VipsImage`

  Second input image.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.